From 7652747ba9244792624c122dbe66765c25e6e3cb Mon Sep 17 00:00:00 2001
From: hanishkvc <hanishkvc@gmail.com>
Date: Thu, 5 May 2022 00:03:13 +0530
Subject: [PATCH 2/5] Resolv: Rather return int matching local_id which is int

Just in case. So that type is consistant everywhere.
---
 libc/inet/resolv.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/libc/inet/resolv.c b/libc/inet/resolv.c
index fecb3b339..f089aa0f1 100644
--- a/libc/inet/resolv.c
+++ b/libc/inet/resolv.c
@@ -1047,10 +1047,10 @@ static int __decode_answer(const unsigned char *message, /* packet */
 }
 
 
-uint16_t dnsrand_next(int urand_fd, int def_value) {
+int dnsrand_next(int urand_fd, int def_value) {
 	if (urand_fd == -1) return def_value;
-	uint16_t val;
-	if(read(urand_fd, &val, 2) != 2) return def_value;
+	int val;
+	if(read(urand_fd, &val, sizeof(int)) != sizeof(int)) return def_value;
 	return val;
 }
 
-- 
2.20.1

